net.sourceforge.pmd.lang.java.typeresolution

## Class ClassTypeResolver

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter
  - - net.sourceforge.pmd.lang.java.typeresolution.ClassTypeResolver

- All Implemented Interfaces:
    JavaParserVisitor

      public class ClassTypeResolver
      extends JavaParserVisitorAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassTypeResolver()`
    `ClassTypeResolver(ClassLoader classLoader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `classNameExists(String fullyQualifiedClassName)` Check whether the supplied class name exists.
    `Object` | `visit(ASTAdditiveExpression node, Object data)`
    `Object` | `visit(ASTAllocationExpression node, Object data)`
    `Object` | `visit(ASTAndExpression node, Object data)`
    `Object` | `visit(ASTAnnotationTypeDeclaration node, Object data)`
    `Object` | `visit(ASTBooleanLiteral node, Object data)`
    `Object` | `visit(ASTCastExpression node, Object data)`
    `Object` | `visit(ASTClassOrInterfaceDeclaration node, Object data)`
    `Object` | `visit(ASTClassOrInterfaceType node, Object data)`
    `Object` | `visit(ASTCompilationUnit node, Object data)`
    `Object` | `visit(ASTConditionalAndExpression node, Object data)`
    `Object` | `visit(ASTConditionalExpression node, Object data)`
    `Object` | `visit(ASTConditionalOrExpression node, Object data)`
    `Object` | `visit(ASTEnumDeclaration node, Object data)`
    `Object` | `visit(ASTEqualityExpression node, Object data)`
    `Object` | `visit(ASTExclusiveOrExpression node, Object data)`
    `Object` | `visit(ASTExpression node, Object data)`
    `Object` | `visit(ASTFieldDeclaration node, Object data)`
    `Object` | `visit(ASTImportDeclaration node, Object data)`
    `Object` | `visit(ASTInclusiveOrExpression node, Object data)`
    `Object` | `visit(ASTInstanceOfExpression node, Object data)`
    `Object` | `visit(ASTLiteral node, Object data)`
    `Object` | `visit(ASTMarkerAnnotation node, Object data)`
    `Object` | `visit(ASTMultiplicativeExpression node, Object data)`
    `Object` | `visit(ASTName node, Object data)`
    `Object` | `visit(ASTNormalAnnotation node, Object data)`
    `Object` | `visit(ASTNullLiteral node, Object data)`
    `Object` | `visit(ASTPostfixExpression node, Object data)`
    `Object` | `visit(ASTPreDecrementExpression node, Object data)`
    `Object` | `visit(ASTPreIncrementExpression node, Object data)`
    `Object` | `visit(ASTPrimaryExpression node, Object data)`
    `Object` | `visit(ASTPrimaryPrefix node, Object data)`
    `Object` | `visit(ASTPrimarySuffix node, Object data)`
    `Object` | `visit(ASTPrimitiveType node, Object data)`
    `Object` | `visit(ASTReferenceType node, Object data)`
    `Object` | `visit(ASTRelationalExpression node, Object data)`
    `Object` | `visit(ASTShiftExpression node, Object data)`
    `Object` | `visit(ASTSingleMemberAnnotation node, Object data)`
    `Object` | `visit(ASTStatementExpression node, Object data)`
    `Object` | `visit(ASTTypeDeclaration node, Object data)`
    `Object` | `visit(ASTType node, Object data)`
    `Object` | `visit(ASTUnaryExpressionNotPlusMinus node, Object data)`
    `Object` | `visit(ASTUnaryExpression node, Object data)`
    `Object` | `visit(ASTVariableDeclaratorId node, Object data)`
    `Object` | `visit(ASTVariableDeclarator node, Object data)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassTypeResolver

          public ClassTypeResolver()

    - #### ClassTypeResolver

          public ClassTypeResolver(ClassLoader classLoader)

  - ### Method Detail

    - #### visit

          public Object visit(ASTCompilationUnit node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTImportDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTTypeDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTClassOrInterfaceType node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTClassOrInterfaceDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTEnumDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTAnnotationTypeDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTName node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTFieldDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTVariableDeclarator node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTVariableDeclaratorId node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTType node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTReferenceType node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTPrimitiveType node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTConditionalExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTConditionalOrExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTConditionalAndExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTInclusiveOrExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTExclusiveOrExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTAndExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTEqualityExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTInstanceOfExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTRelationalExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTShiftExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTAdditiveExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTMultiplicativeExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTUnaryExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTPreIncrementExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTPreDecrementExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTUnaryExpressionNotPlusMinus node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTPostfixExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTCastExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTPrimaryExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTPrimaryPrefix node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTPrimarySuffix node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTNullLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTBooleanLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTAllocationExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTStatementExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTNormalAnnotation node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTMarkerAnnotation node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTSingleMemberAnnotation node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### classNameExists

          public boolean classNameExists(String fullyQualifiedClassName)

      Check whether the supplied class name exists.

Copyright © 2002-2013 InfoEther. All Rights Reserved.